import request from "@/utils/request";

// 验证邮箱（发送验证码）
export const sendCodeP = (data) => {
  return request({
    url: "/app/personal/sendCode",
    method: "post",
    data: data,
  });
};

// 邮箱验证接口
export const saveVerifyEmail = (data) => {
  return request({
    url: "/app/personal/saveVerifyEmail",
    method: "post",
    data: data,
  });
};

// 查询个人基础资料接口
export const queryBaseInfo = (query) => {
  return request({
    url: "/app/personal/queryBaseInfo",
    method: "get",
    params: query,
  });
};

// 保存个人基础资料接口
export const saveUserBaseInfo = (data) => {
  return request({
    url: "/app/personal/saveUserBaseInfo",
    method: "post",
    data: data,
  });
};

// 查询身份认证信息
export const getAuthVoucher = (query) => {
  return request({
    url: "/app/personal/getAuthVoucher",
    method: "get",
    params: query,
  });
};

// 保存认证信息接口
export const saveVoucher = (data) => {
  return request({
    url: "/app/personal/saveVoucher",
    method: "post",
    data: data,
  });
};

// 查询居住认证信息
export const getAuthAddress = (query) => {
  return request({
    url: "/app/personal/getAuthAddress",
    method: "get",
    params: query,
  });
};

// 查询财务资料列表
export const queryBankList = (query) => {
  return request({
    url: "/app/personal/queryBankList",
    method: "get",
    params: query,
  });
};

// 修改密码接口
export const editPassword = (data) => {
  return request({
    url: "/app/login/editPassword",
    method: "post",
    data: data,
  });
};

// 保存财务资料接口
export const personalBankSave = (data) => {
  return request({
    url: "/app/personal/personalBankSave",
    method: "post",
    data: data,
  });
};

// 发送数字钱包确认邮件接口
export const sendBankMail = (data) => {
  return request({
    url: "/app/personal/sendBankMail",
    method: "post",
    data: data,
  });
};